export declare type StorePersistStorage = {
    getItem: (key: string) => string | null | Promise<string | null>;
    setItem: (key: string, value: string) => unknown | Promise<unknown>;
    removeItem: (key: string) => unknown | Promise<unknown>;
} & ({
    keys: () => string[] | Promise<string[]>;
} | {
    length: number | (() => number | Promise<number>);
    key: (keyIndex: number) => string | null | Promise<string | null>;
});
